name: social_app
description: "Social App - A Flutter mobile application"
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ^3.10.7

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8
  equatable: ^2.0.8
  flutter_bloc: ^8.1.6
  go_router: ^14.6.1
  dio: ^5.4.3+1
  flutter_secure_storage: ^9.2.2
  formz: ^0.7.0
  get_it: ^7.7.0
  lucide_icons: ^0.257.0
  intl: ^0.19.0
  shared_preferences: ^2.2.2
  json_annotation: ^4.8.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  bloc_test: ^9.1.7
  mocktail: ^1.0.4
  json_serializable: ^6.7.1
  build_runner: ^2.4.8

flutter:
  uses-material-design: true
  assets:
    - assets/images/
